/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Base, String_$type, markType } from "./type";
import { Dictionary$2 } from "./Dictionary$2";
import { WebTileChangeStateEventArgsDescriptionMetadata } from "./WebTileChangeStateEventArgsDescriptionMetadata";
import { WebTileComponentEventArgsDescriptionMetadata } from "./WebTileComponentEventArgsDescriptionMetadata";
import { WebTileManagerDescription } from "./WebTileManagerDescription";
/**
 * @hidden
 */
export let WebTileManagerDescriptionMetadata = /*@__PURE__*/ (() => {
    class WebTileManagerDescriptionMetadata extends Base {
        static b(a) {
            if (WebTileManagerDescriptionMetadata.a == null) {
                WebTileManagerDescriptionMetadata.a = new Dictionary$2(String_$type, String_$type, 0);
                WebTileManagerDescriptionMetadata.c(WebTileManagerDescriptionMetadata.a);
            }
            if (a.k(WebTileManagerDescriptionMetadata.a)) {
                return;
            }
            a.ac(WebTileManagerDescriptionMetadata.a);
            WebTileChangeStateEventArgsDescriptionMetadata.d(a);
            WebTileComponentEventArgsDescriptionMetadata.d(a);
        }
        static c(a) {
            a.item("__qualifiedNameTS", "String:TileManager");
            a.item("__tagNameWC", "String:igc-tile-manager");
            a.item("__skipModuleRegisterWebComponents", "Boolean");
            a.item("__importTypesWebComponents", "String:igniteui-webcomponents");
            a.item("ResizeMode", "ExportedType:string:TileManagerResizeMode");
            a.item("ResizeMode@stringUnion", "WebComponents;React");
            a.item("ResizeMode@names", "None;Always;Hover");
            a.item("DragMode", "ExportedType:string:TileManagerDragMode");
            a.item("DragMode@stringUnion", "WebComponents;React");
            a.item("DragMode@names", "None;TileHeader;Tile");
            a.item("ColumnCount", "Number:double");
            a.item("MinColumnWidth", "String");
            a.item("MinRowHeight", "String");
            a.item("Gap", "String");
            a.item("TileFullscreenRef", "EventRef::tileFullscreen");
            a.item("TileMaximizeRef", "EventRef::tileMaximize");
            a.item("TileDragStartRef", "EventRef::tileDragStart");
            a.item("TileDragEndRef", "EventRef::tileDragEnd");
            a.item("TileDragCancelRef", "EventRef::tileDragCancel");
            a.item("TileResizeStartRef", "EventRef::tileResizeStart");
            a.item("TileResizeEndRef", "EventRef::tileResizeEnd");
            a.item("TileResizeCancelRef", "EventRef::tileResizeCancel");
        }
        static d(a) {
            WebTileManagerDescriptionMetadata.b(a);
            a.ae("WebTileManager", () => new WebTileManagerDescription());
            a.ad("WebTileManager", WebTileManagerDescriptionMetadata.a);
        }
    }
    WebTileManagerDescriptionMetadata.$t = /*@__PURE__*/ markType(WebTileManagerDescriptionMetadata, 'WebTileManagerDescriptionMetadata');
    WebTileManagerDescriptionMetadata.a = null;
    return WebTileManagerDescriptionMetadata;
})();
